#include <iostream>
#include <math.h>
using namespace std;


class Ucenik {
public:
    int X = 0;
    int Y = 0;
};
class Linija {
public:
    Ucenik A;
    Ucenik B;
    float a = 0;
    void SetUP() {
        a = sqrt(pow(fabs(A.X - B.X),2)+pow(fabs(A.Y - B.Y),2));
    }
};
float Sin(Ucenik A, Ucenik B)
{
    Ucenik C;
    C.X = B.X;
    C.Y = A.Y;
    float a = abs(C.Y - B.Y),b = abs(C.X - A.X),c = sqrt((a*a)+(b*b));
    if (c == 0)
    {
        return 0;
    }
    return a/c;
}
void Prepisivac()
{
    int B;
    int rez = 0;
    cin >> B;
    Ucenik ucenik[1501];
    Linija linije[6000];
    int p = 0;
    int Pac = 0;
    int lin = 0;
    for (int i = 0; i < B; i++)
    {
        if (Pac >= B)
            break;
        cin >> ucenik[i].X >> ucenik[i].Y;
        Pac++;
    }
    for (int i = 0; i < B; i++)
    {
        for (int a = 0; a < B; a++)
        {
            if (ucenik[i].X != ucenik[a].X || ucenik[i].Y != ucenik[a].Y)
            {
                linije[p].A = ucenik[i];
                linije[p].B = ucenik[a];
                linije[p].SetUP();
                lin++;
                p++;
             }
        }
    }
    for (int i = 0; i < lin; i++)
    {
        for (int a = 0; a < lin; a++)
        {
            if (linije[i].A.X != linije[a].A.X || linije[i].A.Y != linije[a].A.Y)
            {
                if (linije[i].A.X != linije[a].B.X || linije[i].B.X != linije[a].A.X)
                {
                    if (linije[i].A.Y != linije[a].A.Y || linije[i].A.Y != linije[a].B.Y)
                    {
                        if (linije[i].B.Y != linije[a].A.Y || linije[i].B.Y != linije[a].B.Y)
                        {
                            float P, D;
                            if (linije[i].A.Y < linije[i].B.Y)
                                P = Sin(linije[i].A, linije[i].B);
                            else
                                P = Sin(linije[i].B, linije[i].A);
                            if (linije[a].A.Y < linije[a].B.Y)
                                D = Sin(linije[a].A, linije[a].B);
                            else
                                D = Sin(linije[a].B, linije[a].A);
                            if (P == D)
                            {
                                if (linije[i].a / 2 == linije[a].a)
                                {
                                    rez++;
                                }
                            }
                            P = 0;
                            D = 0;
                        }
                    }
                }
            }
        }
    }
        cout <<rez / 4;

    
}
int main()
{
    Prepisivac();
}